#include <stdio.h>
#include "TStoixeiouOuraPlus.h"

/*Dinei stin metavliti target tin timi tis source.
  Epistrefei 1 se periptosi epityxias, allios 0 an i target==NULL.*/
int TSOuraPlus_setValue (TStoixeiouOuraPlus *target, TStoixeiouOuraPlus source)
{
 if( target==NULL )
    return 0;
 *target=source;
 return 1;
}

/*Eisagei stoixeia apo to arxeio from stin metavliti pou deixnei o ElemPtr.
  Epistrefei 1 se periptosi epityxias, allios 0 teleiose to arxeio.*/
int TSOuraPlus_readValue (FILE *from, TStoixeiouOuraPlus *ElemPtr)
{
 int i;
 i=fscanf(from, "%2d %*1c %2d %*1c %4d %d %s", &ElemPtr->date.day, &ElemPtr->date.month, &ElemPtr->date.year, &ElemPtr->sec, ElemPtr->number);
 if (i==EOF)
 	return 0;
 else
	return 1;
}

/*Typonei stoixeia apo tin metavliti Elem sto arxeio to.
  Epistrefei 1 se periptosi epityxias, allios 0 an i fprintf den ektelestei epityxos.*/
int TSOuraPlus_writeValue(FILE *to, TStoixeiouOuraPlus Elem)
{
 if (fprintf(to, "%02d/%02d/%d %d %s\n", Elem.date.day, Elem.date.month, Elem.date.year, Elem.sec, Elem.number)<0)
    return 0;
 return 1;
}

/*Sygrinei dyo tis imerominies dyo stoixeion.
  Epistrefei 1 an einai isa, 2 an to stoixeio Elem1 einai megalytero tou Elem2, 0 an to stoixeio Elem2 einai megalytero tou Elem1*/
int TSOuraPlus_iso(TStoixeiouOuraPlus Elem1, TStoixeiouOuraPlus Elem2)
{
 if(Elem1.date.year>Elem2.date.year)
    return 2;
 else if(Elem1.date.year<Elem2.date.year)
    return 0;
 else
    if(Elem1.date.month>Elem2.date.month)
   		return 2;
 	else if(Elem1.date.month<Elem2.date.month)
    	return 0;
    else
        if(Elem1.date.day>Elem2.date.day)
    		return 2;
 		else if(Elem1.date.day<Elem2.date.day)
    		return 0;
		else
		    return 1;
}
